# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "agglayer-interop-types"
version = "0.10.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "agglayer-interop-types contains structs and traits for the interoperability layer of agglayer."
readme = false
license = "MIT OR Apache-2.0"
repository = "https://github.com/agglayer/interop"

[features]
default = []
testutils = [
    "dep:arbitrary",
    "unified-bridge/testutils",
]

[lib]
name = "agglayer_interop_types"
path = "src/lib.rs"

[dependencies.agglayer-bincode]
version = "0.10.0"

[dependencies.agglayer-primitives]
version = "0.10.0"

[dependencies.agglayer-tries]
version = "0.10.0"

[dependencies.arbitrary]
version = "1.4"
features = ["derive"]
optional = true

[dependencies.bincode]
version = "1.3"

[dependencies.educe]
version = "0.6.0"

[dependencies.hex]
version = "0.4.3"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.sp1-core-machine]
version = "=5.0.0"

[dependencies.sp1-prover]
version = "=5.0.1"

[dependencies.sp1-sdk]
version = "=5.0.3"

[dependencies.thiserror]
version = "2.0"

[dependencies.unified-bridge]
version = "0.10.0"

[dev-dependencies]
